POST https://api.cryptohopper.com/v1/social/post/{id}/comment/{comment_id}/like

Likes a comment and notifies its author. Liking a comment you already liked changes nothing.

OAuth scope: manage About scopes

Example request

curl -X POST "https://api.cryptohopper.com/v1/social/post/POST_ID/comment/COMMENT_ID/like" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Optional The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
comment_id string Required Numeric ID of the comment to like.
id string Required Numeric ID of the post.

Response

Example response (illustrative values)

{
    "data": {
        "liked": 1,
        "total_likes": 3,
        "message": "Comment liked."
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.